<?php

namespace App\Entity;

use App\Repository\WidgetFormInputRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=WidgetFormInputRepository::class)
 */
class WidgetFormInput
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $text;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $type;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $bitrix24Id;

    /**
     * @ORM\ManyToOne(targetEntity=WidgetForm::class, inversedBy="widgetFormInputs")
     */
    private $widgetForm;

    /**
     * @ORM\Column(type="integer")
     */
    private $sort;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getText(): ?string
    {
        return $this->text;
    }

    public function setText(string $text): self
    {
        $this->text = $text;

        return $this;
    }

    public function getType(): ?string
    {
        return $this->type;
    }

    public function setType(string $type): self
    {
        $this->type = $type;

        return $this;
    }

    public function getBitrix24Id(): ?string
    {
        return $this->bitrix24Id;
    }

    public function setBitrix24Id(string $bitrix24Id): self
    {
        $this->bitrix24Id = $bitrix24Id;

        return $this;
    }

    public function getWidgetForm(): ?WidgetForm
    {
        return $this->widgetForm;
    }

    public function setWidgetForm(?WidgetForm $widgetForm): self
    {
        $this->widgetForm = $widgetForm;

        return $this;
    }

    public function getSort(): ?int
    {
        return $this->sort;
    }

    public function setSort(int $sort): self
    {
        $this->sort = $sort;

        return $this;
    }
}
